Package com.saxonica.ee.config

## Class TypeHierarchyEE

- java.lang.Object
- - net.sf.saxon.type.TypeHierarchy
  - - com.saxonica.ee.config.TypeHierarchyEE

-     public class TypeHierarchyEE
      extends TypeHierarchy

  Refinement of the TypeHierarchy class to handle function items and schema-aware types such as schema-element(A).

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.type.TypeHierarchy

      `config`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TypeHierarchyEE​(Configuration config)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Affinity` | `computeContentRelationship​(ItemType t1, ItemType t2, java.util.Optional<IntSet> on1, java.util.Optional<IntSet> on2)` | Compute the relationship between the allowed content-types of two types
    `ItemType` | `getGenericFunctionItemType()` |

    - ### Methods inherited from class net.sf.saxon.type.TypeHierarchy

      `applyFunctionCoercion, applyFunctionConversionRules, getConfiguration, inverseRelationship, isSubType, relationship, schemaTypeRelationship, sequenceTypeRelationship`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeHierarchyEE

          public TypeHierarchyEE​(Configuration config)

  - ### Method Detail

    - #### getGenericFunctionItemType

          public ItemType getGenericFunctionItemType()

      Overrides:
        `getGenericFunctionItemType` in class `TypeHierarchy`

    - #### computeContentRelationship

          protected Affinity computeContentRelationship​(ItemType t1,
                                                        ItemType t2,
                                                        java.util.Optional<IntSet> on1,
                                                        java.util.Optional<IntSet> on2)

      Compute the relationship between the allowed content-types of two types
      Overrides:
        `computeContentRelationship` in class `TypeHierarchy`
      Parameters:
        `t1` - the first type
        `t2` - the second types
        `on1` - the set of element names allowed by the first type
        `on2` - the set of element names allowed by the second type
      Returns:
        the relationship (same type, subsumes, overlaps, subsumed-by)